/*************************************************************
 * menu_tbl.c
 *
 * main menu table
 *
 * Copyright (C)SEIKO EPSON CORPORATION 2010. All rights reserved.
 ************************************************************/

#include <stdio.h>
#include "main.h"
#include <s1c176xx.h>

/******************************************
 * Declarations of function prototype
 ******************************************/
#ifdef	PE_PORT
extern void	portMain(void);
#endif
#ifdef	PE_CLG_OSC
extern void	oscMain(void);
#endif
#ifdef	PE_T16
extern void	t16Main(void);
#endif
#ifdef	PE_T8F
extern void	t8fMain(void);
#endif
#ifdef	PE_T16E
extern void	t16eMain(void);
#endif
#ifdef	PE_T8OSC1
extern void	t8osc1Main(void);
#endif
#ifdef	PE_CT
extern void	ctMain(void);
#endif
#ifdef	PE_SWT
extern void	swtMain(void);
#endif
#ifdef	PE_WDT
extern void	wdtMain(void);
#endif
#ifdef	PE_UART_OSC3
extern void	uartOSC3Main(void);
#endif
#ifdef	PE_UART_IOSC
extern void	uartIOSCMain(void);
#endif
#ifdef	PE_SPI_MASTER
extern void	spiMasterMain(void);
#endif
#ifdef	PE_SPI_SLAVE
extern void	spiSlaveMain(void);
#endif
#ifdef	PE_I2CM
extern void	i2cMasterMain(void);
#endif
#ifdef	PE_I2CS
extern void	i2cSlaveMain(void);
#endif
#ifdef	PE_LCD
extern void	lcdMain(void);
#endif
#ifdef	PE_SVD
extern void	svdMain(void);
#endif
#ifdef	PE_RFC
extern void	rfcMain(void);
#endif
#ifdef	PE_ADC
extern void	adcMain(void);
#endif
#ifdef	PE_REMC_TX
extern void	remcTxMain(void);
#endif
#ifdef	PE_REMC_RX
extern void	remcRxMain(void);
#endif
#ifdef	PE_SLEEP_HALT
extern void	sleepHaltMain(void);
#endif
#ifdef PE_T16A2
extern void	t16a2Main(void);
#endif
#ifdef PE_RTC
extern void 	rtcMain(void);
#endif

/* definitions of menu table. */
MENU_TBL mainMenu[] = {
#ifdef	PE_PORT
	{ "Port                 "	, portMain					},
#endif
#ifdef	PE_CLG_OSC
	{ "CLG(OSC)             "	, oscMain					},
#endif
#ifdef	PE_T16
	{ "16bit timer          "	, t16Main					},
#endif
#ifdef	PE_T8F
	{ "8bit timer           "	, t8fMain					},
#endif
#ifdef	PE_T16E
	{ "PWM timer            "	, t16eMain					},
#endif
#ifdef	PE_T8OSC1
	{ "8bit OSC1 timer      "	, t8osc1Main				},
#endif
#ifdef	PE_CT
	{ "CT timer             "	, ctMain					},
#endif
#ifdef	PE_SWT
	{ "stopwatch timer      "	, swtMain					},
#endif
#ifdef	PE_WDT
	{ "watchdog timer       "	, wdtMain					},
#endif
#ifdef	PE_UART_OSC3
	{ "UART OSC3            "	, uartOSC3Main				},
#endif
#ifdef	PE_UART_IOSC
	{ "UART IOSC            "	, uartIOSCMain				},
#endif
#ifdef	PE_SPI_MASTER
	{ "SPI master           "	, spiMasterMain				},
#endif
#ifdef	PE_SPI_SLAVE
	{ "SPI slave            "	, spiSlaveMain				},
#endif
#ifdef	PE_I2CM
	{ "I2C master           "	, i2cMasterMain				},
#endif
#ifdef	PE_I2CS
	{ "I2C slave            "	, i2cSlaveMain				},
#endif
#ifdef	PE_LCD
	{ "LCD                  "	, lcdMain					},
#endif
#ifdef	PE_SVD
	{ "SVD                  "	, svdMain					},
#endif
#ifdef	PE_RFC
	{ "RFC                  "	, rfcMain					},
#endif
#ifdef	PE_ADC
	{ "ADC                  "	, adcMain					},
#endif
#ifdef	PE_REMC_TX
	{ "remocon Transmit     "	, remcTxMain				},
#endif
#ifdef	PE_REMC_RX
	{ "remocon Receive      "	, remcRxMain				},
#endif
#ifdef	PE_SLEEP_HALT
	{ "sleep / halt         "	, sleepHaltMain				},
#endif
#ifdef PE_T16A2
	{ "PWM timer(T16A2)     "	, t16a2Main					},
#endif
#ifdef PE_RTC
	{ "Real Time Clock      "	, rtcMain					},
#endif
	{ NULL			, NULL			}
};

