/******************************************************************
 * clg_api.h
 * 
 * CLG driver
 * 
 * Copyright(C) SEIKO EPSON CORPORATION 2009. All rights Reserved.
 *****************************************************************/

#ifndef CLG_API_H_
#define CLG_API_H_

#include <clg.h>

/******************************************
 * definition of "define"
 ******************************************/

// CLG driver return code.
#define	CLG_SUCCESS					 0								// success
#define	CLG_INVALID_PARAMETER		-1								// invalid parameter
#define	CLG_FAILURE					-2								// failure

// PCLK enable / disable.
#define	CLG_PCLK_DISABLE			PCKEN_DISABLE					// PCLK disable
#define	CLG_PCLK_ENABLE				PCKEN_ENABLE					//		enable

// CCLK clock gear ratio.

enum{
	CLG_GEAR_RATIO1 = 0,											// 0x00 : select gear ratio : 1/1
	CLG_GEAR_RATIO2,												// 0x01 : 					: 1/2
	CLG_GEAR_RATIO4,												// 0x02 : 					: 1/4
	CLG_GEAR_RATIO8,												// 0x03 : 					: 1/8
	
	CLG_GEAR_MAX
};


/******************************************
 * Declarations of function prototype
 ******************************************/
extern short CLG_setPCLKEnable(unsigned char selectBit);
extern short CLG_setCCLKGearRatio(unsigned char selectBit);


#endif	// end of CLG_API_H_
