/******************************************************************
 * psc_api.h
 * 
 * PSC driver
 * 
 * Copyright(C) SEIKO EPSON CORPORATION 2009. All rights Reserved.
 *****************************************************************/

#ifndef PSC_API_H_
#define PSC_API_H_

#include <psc.h>

/******************************************
 * definition of "define"
 ******************************************/

// PSC driver return code.
#define	PSC_SUCCESS					 0								// success
#define	PSC_INVALID_PARAMETER		-1								// invalid parameter
#define	PSC_FAILURE					-2								// failure

// select function.
#define	PSC_DEBUG_STOP				PSC_STOP						// prescaler for debug mode : stop
#define	PSC_DEBUG_RUN				PSC_RUN							//							: run
#define	PSC_NORMAL_STOP				PSC_STOP						// prescaler control : stop
#define	PSC_NORMAL_RUN				PSC_RUN							//					 : run

/******************************************
 * Declarations of function prototype
 ******************************************/
extern short PSC_setPrescalerControl(unsigned char modeDebug, unsigned char modeNormal);


#endif	// end of PSC_API_H_
