/******************************************************************
 * psc.h
 * 
 * PSC driver
 * 
 * Copyright(C) SEIKO EPSON CORPORATION 2009. All rights Reserved.
 *****************************************************************/

#ifndef PSC_H_
#define PSC_H_


#include <s1c176xx.h>


#ifdef	BIT_FIELD
/***********************************************
 ****** The Definition of bit field         ****
 ***********************************************/
struct psc_ctlBitF {
	unsigned int	prun	: 1;
	unsigned int	prund	: 1;
	unsigned int			: 6;
};
#endif	// end of BIT_FIELD


/***********************************************
 ****** The Definition of base address      ****
 ***********************************************/
#define	PSC_BASE_ADDR						(BASE_ADDR+PSC_OFFSET)


/***********************************************
 ****** The Definition of Prescaler ************
 ****** [PSC]                       ************
 ***********************************************/
// Prescaler Controle Register
#define	R08_PSC_CTL							(volatile unsigned char *)(unsigned long)(PSC_BASE_ADDR+0x00)
	#define	PRUND_SFT							1
	#define	PSC_PRUN_SFT						0
	#define	PRUND								BIT(0x0001, PRUND_SFT)		// Prescaler Run/Stop Setting Bit for Debug Mode
	#define	PSC_PRUN							BIT(0x0001, PSC_PRUN_SFT)	// Prescaler Run/Stop Control
		#define	PSC_STOP							0x00						// stop
		#define	PSC_RUN								0x01						// run

#ifdef	BIT_FIELD
#define PSC_CTL								*(volatile unsigned char *)(BASE_ADDR+0x0020)
#define BF_PSC_CTL							(*(volatile struct psc_ctlBitF *)(BASE_ADDR+0x0020))
	#define PSC_CTL_PRUND						BF_PSC_CTL.prund			// Prescaler run/stop in debug mode
	#define PSC_CTL_PRUN						BF_PSC_CTL.prun				// Prescaler run/stop control
#endif	// end of BIT_FIELD


#endif	// end of PSC_H_
